<?php
//////////////////////////////////////////
// CHAT POWERED : http://sim-sim.h2m.ru//
// ICQ : 378036650                     //
// Email : olegarhi75@mail.ru          //
// WEB SITE Version 1.0 www.waufon.ru  //
////////////////////////////////////////
require( "../inc/conf.inc.php" );
require( "../inc/check.php" );
require( "../fun.php" );
echo "<title>Свадьбы</title>\r\n";
echo "<style type=\"text/css\">";
echo "body { margin: auto; max-width: 500px; font: 12px Arial; color: #808080; background-color: #000000; }";
echo "a:link,a:visited { text-decoration: none; color: b0c4db; }";
echo "div { background-color: #202020; border-style:solid; border-width: 1px; }";
echo "img { vertical-align: middle; }";
echo "</style>";
echo "</head>\r\n<body>\r\n";

switch ( $mod )
{
case "a1" :
echo "<form method=\"POST\" action=\"svadbi.php?id={$id}&amp;pass={$pass}&amp;mod=a4$takep\" name=\"auth\">\n";
echo $fsize1;
echo "Ник Жениха:<br/>";
echo $fsize2;
echo "<input name=\"zhenih\" maxlength=\"12\"/><br/>";
echo $fsize1;
echo "Ник Невесты:<br/>";
echo $fsize2;
echo "<input name=\"nevesta\" maxlength=\"12\"/><br/>";
echo $fsize1;
echo "Свидетель и друзья Жениха:<br/>";
echo $fsize2;
echo "<input name=\"frzhenih\"/><br/>";
echo $fsize1;
echo "Свидетельница и подруги Невесты:<br/>";
echo $fsize2;
echo "<input name=\"frnevesta\"/><br/>";
echo $fsize1;
echo "День Свадьбы:<br/>";
echo $fsize2;
echo "<input size=\"2\" name=\"day\" maxlength=\"2\" format=\"*N\"/>.<input size=\"2\" name=\"month\" maxlength=\"2\" format=\"*N\"/>.<input size=\"4\" name=\"year\" maxlength=\"4\" format=\"*N\"/><br/>"; 
echo $fsize1;
echo "Время Свадьбы:<br/>";
echo $fsize2;
echo "<input size=\"2\" name=\"chs\" maxlength=\"2\" format=\"*N\"/>:<input size=\"2\" name=\"min\" maxlength=\"2\" format=\"*N\"/><br/>";
if ($ver=="wml"){ 
echo $fsize1;				
echo "<anchor>Добавить<go href=\"apanel.php?$ses&amp;go=updsvadbi$takep\" method=\"post\">";
echo "<postfield name=\"zhenih\" value=\"$(zhenih)\"/>";
echo "<postfield name=\"nevesta\" value=\"$(nevesta)\"/>";
echo "<postfield name=\"frzhenih\" value=\"$(frzhenih)\"/>";
echo "<postfield name=\"frnevesta\" value=\"$(frnevesta)\"/>";
echo "<postfield name=\"day\" value=\"$(day)\"/>";
echo "<postfield name=\"month\" value=\"$(month)\"/>";
echo "<postfield name=\"year\" value=\"$(year)\"/>";
echo "<postfield name=\"chs\" value=\"$(chs)\"/>";
echo "<postfield name=\"min\" value=\"$(min)\"/>";
echo "<postfield name=\"organizatory\" value=\"$us\"/>";
echo "</go></anchor>";
echo $fsize2;	
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Добавить\" name=\"enter\"><br/>\n";
}
break;

case "a2" :
$q = mysql_query("select id,zhenih,nevesta,date from svadbi order by id desc;");
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "Свадьбы не назначены!!!<br/>\n";
echo $fsize2;
} else {
if(empty($action)) {
while($arr=mysql_fetch_array($q)) {
echo $fsize1;
echo "<a href=\"svadbi.php?action=del&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}&amp;mod=a2&amp;mid=".$arr['id']."$takep\">Свадьба ".$arr['zhenih']." &amp; ".$arr['nevesta'].". (".$arr['date'].")</a><br/>";  
echo $fsize2;
}
} else {
settype($mid, 'integer');
if(mysql_query("delete from svadbi where id='".$mid."' limit 1;")){ 
echo $fsize1;
echo "<b>Свадьба успешно удалена!</b><br/>";
echo $fsize2;
}
}
}
break;

case "a3" :
echo "<form method=\"POST\" action=\"svadbi.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}&amp;mod=a5$takep\" method=\"post\">\n";
echo $fsize1;
echo "Ник мужа:<br/>";
echo $fsize2;
echo "<input name=\"zhenih\" maxlength=\"12\"/><br/>";
echo $fsize1;
echo "Ник жены:<br/>";
echo $fsize2;
echo "<input name=\"nevesta\" maxlength=\"12\"/><br/>";
if ($ver=="wml"){
echo $fsize1;				
echo "<anchor>Развести<go href=\"apanel.php?$ses&amp;go=updrazvod$takep\" method=\"post\">";
echo "<postfield name=\"zhenih\" value=\"$(zhenih)\"/>";
echo "<postfield name=\"nevesta\" value=\"$(nevesta)\"/>";
echo "</go></anchor>";
echo $fsize2;	
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Развести\" name=\"enter\"><br/>\n";
}
break;
if($ver=="xhtml"){ echo "<br/></div><div class=\"zero\">";}
case 'updrazvod':
$zhenih=trim(htmlspecialchars(stripslashes($zhenih)));
$nevesta=trim(htmlspecialchars(stripslashes($nevesta)));
if(empty($zhenih)) $error=$error."<u>Не заполнено поле Жених!</u><br/>";
if(empty($nevesta)) $error=$error."<u>Не заполнено поле Невеста!</u><br/>";
$latuser=strtolower($zhenih);
$ruser = rus_to_k($zhenih);
if($ruser==$zhenih){
$latuser = mysql_escape_string($latuser);
$result = mysql_query ("Select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft,para from users where latuser = '".$latuser."' and sex='1'"); 
} else {
$ruser = mysql_escape_string($ruser);
$result = mysql_query ("select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft,para from users where ruser = '".$ruser."'  and sex='1'");
}
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "<u>Парня с ником <b>".$zhenih."</b> не сущетвует.</u><br/>";
echo $fsize2;
break;
if($ver=="xhtml"){ echo "<br/></div><div class=\"zero\">";}
}
$raz=mysql_fetch_array($result);
$zhena=$raz['para'];
if ($zhena!=$nevesta){
echo $fsize1;
echo "<b>".$nevesta."</b> не является женой для <b>".$zhenih."</b>.<br/>";
echo $fsize2;
break;
}
if($ver=="xhtml"){ echo "<br/></div><div class=\"zero\">";}
$latuser2=strtolower($nevesta);
$ruser2 = rus_to_k($nevesta);
if($ruser2==$nevesta){
$latuser2 = mysql_escape_string($latruser2);
$result = mysql_query ("Select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft,para from users where latuser = '".$latuser2."' and sex='Ж'"); 
} else {
$ruser2 = mysql_escape_string($ruser2);
$result = mysql_query ("select id,user,pass,posts,status,level,credits,gposts,mafcredits,votefoto,byeotv,inv,user_ip,user_soft,para from users where ruser = '".$ruser2."' and sex='Ж'");
}
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "<u>Девушки с ником <b>".$nevesta."</b> не сущетвует.</u><br/>";
echo $fsize2;
break;
if($ver=="xhtml"){ echo "<br/></div><div class=\"zero\">";}
}
$raz=mysql_fetch_array($result);
$muj=$raz['para'];
if ($muj!=$zhenih){
echo $fsize1;
echo "<b>".$zhenih."</b> не является мужем для <b>".$nevesta."</b>.<br/>";
echo $fsize2;
break;
}
if(empty($error)) {
if($zhenih!=$last_svadbi['zhenih']) {
if(mysql_query("Update users set para='' where user ='".$zhenih."'")&&mysql_query("Update users set para='' where user ='".$nevesta."'")) { 
echo $fsize1;
echo "<b>Развод успешно завершён!</b><br/>"; 
echo $fsize2;
} else { 
echo $fsize1;
echo "<b>Проблемы с разводом! Пара не будет разведена или данные юзеры не расписаны</b><br/>"; 
echo $fsize2;
} 
} else { 
echo $fsize1;
echo "<b>Люди уже давно разведены!</b><br/>"; 
echo $fsize2;
}
} else { 
echo $fsize1;
echo $error; 
echo $fsize2;
}

break;









case 'a4':
$zhenih=trim(htmlspecialchars(stripslashes($zhenih)));
$nevesta=trim(htmlspecialchars(stripslashes($nevesta)));
$frzhenih=trim(htmlspecialchars(stripslashes($frzhenih)));
$frnevesta=trim(htmlspecialchars(stripslashes($frnevesta)));
$day=trim(htmlspecialchars(stripslashes($day)));
$month=trim(htmlspecialchars(stripslashes($month)));
$year=trim(htmlspecialchars(stripslashes($year)));
$chs=trim(htmlspecialchars(stripslashes($chs)));
$min=trim(htmlspecialchars(stripslashes($min)));
if(empty($zhenih)) $error=$error."<u>Не заполнено поле Жених!</u><br/>";
if(empty($nevesta)) $error=$error."<u>Не заполнено поле Невеста!</u><br/>";
if(empty($frzhenih)) $error=$error."<u>Не заполнено поле свидетель Жениха!</u><br/>";
if(empty($frnevesta)) $error=$error."<u>Не заполнено поле свидетельница Жевесты!</u><br/>";
if(empty($day)) $error=$error."<u>Не заполнено поле число!</u><br/>";
if(empty($month)) $error=$error."<u>Не заполнено поле месяц!</u><br/>";
if(empty($year)) $error=$error."<u>Не заполнено поле год!</u><br/>";
if(empty($chs)) $error=$error."<u>Не заполнено поле часов!</u><br/>";
if(empty($min)) $error=$error."<u>Не заполнено поле минут!</u><br/>";

$latuser=strtolower($zhenih);
$ruser = rus_to_k($zhenih);
if($ruser==$zhenih){
$latuser = mysql_escape_string($latuser);
$result = mysql_query ("Select id,login,pass,posts,status,level,credits,vposts,mafcredits,votefoto,inv,ip, from users where latuser = '".$latuser."' and sex='1'"); 
} else {
$ruser = mysql_escape_string($ruser);
$result = mysql_query ("select id,login,pass,posts,status,level,credits,vposts,mafcredits,votefoto,inv,ip, from users where ruser = '".$ruser."'  and sex='1'");
}
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "<u>Парня с ником <b>".$zhenih."</b> не сущетвует.</u><br/>";
echo $fsize2;
break;
}
if($ver=="xhtml"){ echo "<br/></div><div class=\"zero\">";}
$latuser2=strtolower($nevesta);
$ruser2 = rus_to_k($nevesta);
if($ruser2==$nevesta){
$latuser2 = mysql_escape_string($latruser2);
$result = mysql_query ("Select id,login,pass,posts,status,level,credits,vposts,mafcredits,votefoto,inv,ip, from users where latuser = '".$latuser2."' and sex='2'"); 
} else {
$ruser2 = mysql_escape_string($ruser2);
$result = mysql_query ("select id,login,pass,posts,status,level,credits,vposts,mafcredits,votefoto,inv,ip, from users where ruser = '".$ruser2."' and sex='2'");
}
if (mysql_affected_rows() == 0) {
echo  $fsize1;
echo  "<u>Девушки с ником <b>".$nevesta."</b> не сущетвует.</u><br/>";
echo  $fsize2;
break;
}
if($ver=="xhtml"){ echo "<br/></div><div class=\"zero\">";}

if(empty($error)) {
if($zhenih!=$last_svadbi['zhenih']) {
$days="$day.$month.$year";
$times="$chs:$min";
if(mysql_query("insert into svadbi values(0,'".$zhenih."','".$nevesta."','".$frzhenih."','".$frnevesta."','".$days."','".$times."','".$organizatory."');")&&
mysql_query("Update users set para='".$nevesta."' where login ='".$zhenih."'")&&mysql_query("Update users set para='".$zhenih."' where login ='".$nevesta."'")) { 
 $fsize1;
echo  "<b>Свадьба успешно добавлена!</b><br/>"; 
echo  $fsize2;
} else { 
echo  $fsize1;
echo  $fsize2;
} 
} else { 
echo  $fsize1;
echo  "<b>Такая свадьба уже добавлена!</b><br/>"; 
echo  $fsize2;
}
} else { 
echo  $fsize1;
echo  $error; 
echo  $fsize2;
}
break;
if($ver=="xhtml"){ echo "<br/></div><div class=\"zero\">";}
case 'dsvadbi':
$q = mysql_query("select id,zhenih,nevesta,date from svadbi order by id desc;");
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "Свадьбы не назначены!!!<br/>\n";
echo $fsize2;
} else {
if(empty($action)) {
while($arr=mysql_fetch_array($q)) {
echo $fsize1;
echo "<a href=\"apanel.php?action=del&amp;id={$id}&amp;pass={$pass}&amp;ref={$ref}&amp;mod=a1&amp;mid=".$arr['id']."$takep\">Свадьба ".$arr['zhenih']." &amp; ".$arr['nevesta'].". (".$arr['date'].")</a><br/>";  
echo $fsize2;
}
} else {
settype($mid, 'integer');
if(mysql_query("delete from svadbi where id='".$mid."' limit 1;")){ 
echo $fsize1;
echo "<b>Свадьба успешно удалена!</b><br/>";
echo $fsize2;
}
}
}
break;


case 'a5':
$zhenih=trim(htmlspecialchars(stripslashes($zhenih)));
$nevesta=trim(htmlspecialchars(stripslashes($nevesta)));
if(empty($zhenih)) $error=$error."<u>Не заполнено поле Жених!</u><br/>";
if(empty($nevesta)) $error=$error."<u>Не заполнено поле Невеста!</u><br/>";
$latuser=strtolower($zhenih);
$ruser = rus_to_k($zhenih);
if($ruser==$zhenih){
$latuser = mysql_escape_string($latuser);
$result = mysql_query ("Select id,login,pass,posts,status,level,credits,vposts,mafcredits,votefoto,inv,ip,para from users where latuser = '".$latuser."' and sex='1'"); 
} else {
$ruser = mysql_escape_string($ruser);
$result = mysql_query ("select id,login,pass,posts,status,level,credits,vposts,mafcredits,votefoto,inv,ip,para from users where ruser = '".$ruser."'  and sex='1'");
}
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "<u>Парня с ником <b>".$zhenih."</b> не сущетвует.</u><br/>";
echo $fsize2;
break;
if($ver=="xhtml"){ echo "<br/></div><div class=\"zero\">";}
}
$raz=mysql_fetch_array($result);
$zhena=$raz['para'];
if ($zhena!=$nevesta){
echo $fsize1;
echo "<b>".$nevesta."</b> не является женой для <b>".$zhenih."</b>.<br/>";
echo $fsize2;
break;
}
if($ver=="xhtml"){ echo "<br/></div><div class=\"zero\">";}
$latuser2=strtolower($nevesta);
$ruser2 = rus_to_k($nevesta);
if($ruser2==$nevesta){
$latuser2 = mysql_escape_string($latruser2);
$result = mysql_query ("Select id,login,pass,posts,status,level,credits,vposts,mafcredits,votefoto,inv,ip,para from users where latuser = '".$latuser2."' and sex='2'"); 
} else {
$ruser2 = mysql_escape_string($ruser2);
$result = mysql_query ("select id,login,pass,posts,status,level,credits,vposts,mafcredits,votefoto,inv,ip,para from users where ruser = '".$ruser2."' and sex='2'");
}
if (mysql_affected_rows() == 0) {
echo $fsize1;
echo "<u>Девушки с ником <b>".$nevesta."</b> не сущетвует.</u><br/>";
echo $fsize2;
break;
if($ver=="xhtml"){ echo "<br/></div><div class=\"zero\">";}
}
$raz=mysql_fetch_array($result);
$muj=$raz['para'];
if ($muj!=$zhenih){
echo $fsize1;
echo "<b>".$zhenih."</b> не является мужем для <b>".$nevesta."</b>.<br/>";
echo $fsize2;
break;
}
if(empty($error)) {
if($zhenih!=$last_svadbi['zhenih']) {
if(mysql_query("Update users set para='' where login ='".$zhenih."'")&&mysql_query("Update users set para='' where login ='".$nevesta."'")) { 
echo $fsize1;
echo "<b>Развод успешно завершён!</b><br/>"; 
echo $fsize2;
} else { 
echo $fsize1;
echo "<b>Проблемы с разводом! Пара не будет разведена или данные юзеры не расписаны</b><br/>"; 
echo $fsize2;
} 
} else { 
echo $fsize1;
echo "<b>Люди уже давно разведены!</b><br/>"; 
echo $fsize2;
}
} else { 
echo $fsize1;
echo $error; 
echo $fsize2;
}



default :
/////===Главная====/////
echo "<div>Управление Свадьбами</div>";
echo "&#187;<b><a href=\"svadbi.php?id={$id}&amp;pass={$pass}&amp;mod=a1\">Добавить свадьбу</a></b><br/>";
echo "&#187;<b><a href=\"svadbi.php?id={$id}&amp;pass={$pass}&amp;mod=a2\">Удалить свадьбу</a></b><br/>";
echo "&#187;<b><a href=\"svadbi.php?id={$id}&amp;pass={$pass}&amp;mod=a3\">Развод</a></b><br/>";
/////=======///////
}
print "<br/><div><a href=\"../enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожая</a></div><br/>";
echo "<p>{$ip}</p>";
$end = gettime( );
echo "<p align=\"center\">\r\n[".round( $end - $mystart, 5 )."]";
print "</p></body></html>";
mysql_close( $link );
?>